Subject: [Diffserv] "Simple" statement of the problem.

From: Jon Bennett <[email-masked]>
Date: Wed, 26 Jul 2000 16:23:31 -0400

> Yes, there is a problem in the definition of EF PHB draft which means
> that none of the implementations may "precisely" fulfill the
> definition as written in the draft. Assume, if the original draft was
> written with added clarification so that there was no ambiguity about
> "any time interval" in the statement - "you SHOULD get at least the
> configured rate over any time interval greater than MTU/R (R is the
> configured rate)" and also there was added condition that this is only
> true when EF aggregate arrival rate exceeds the configured rate. I
> wonder if this would have made any difference to how most vendors have
> implemented this PHB in their boxes? Let us see the answers from
> people who are proposing the new draft. Please don't give complex
> mathematical derivations (as most have already admitted the problems
> in the basic draft) - just give us plain text explanation that will
> differentiate implementations in two cases.

Ok here is a simple example of the problem, 

RFC 2598 states that among the schedulers which may be used to implement the
EF PHB is weighted round robin (WRR). Consider the following example; there
are 5 classes A,B,C,D,E, the E is EF traffic. Assume that the allocation of
the link bandwidth is as follows  A=1/30, B=1/30, C=1/30,D=1/2,E=1/3. Assume
that all packets are the same size. Assume that the EF traffic arrives as
one stream of packets at times 0,3,6,9,etc and that all other classes are
always backlogged

The output would look like this with letters showing the class of the packet
being transmitted

Time 
0    5    10   15   20   25   30
|    |    |    |    |    |    |   
ABCDDDDDDDDDDDDDDDEEEEEEEEEEABCDD.....

1) Does this meet the definition (original or modified) as given in RFC 2598

2) Does this meet the definition (original or modified) as given in RFC 2598
with SHOULD replaced by MUST.

Similar examples can be produced for all the example schedulers given in RFC
2598 except for priority queueing. 

This example does not strike me as being an issue of not meeting the
definition "precisely", and I do not believe that any of the modifications
to the definition have any effect on this example.

jon

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/